/* Main Stylesheet for Alsvåg Plater */

html,
body {
    height: 100%;
    margin: 0;
}
body {
    display: flex;
    flex-direction: column;
}
body > *:not(.afooter) {
    flex: 1;
}
hr {
    height: 5px;
    color: rgb(2, 0, 36);
    background-image: linear-gradient(
        90deg,
        rgb(255, 255, 255) 0%,
        rgba(9, 9, 121, 1) 26%,
        rgba(0, 212, 255, 1) 56%,
        rgb(255, 255, 255) 84%
    );

    border: 0;
    height: 1px;
}

#footer {
    display: table;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    height: 50px;
    margin-top: -50px;
    z-index: -1;

    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    height: 40px;
}
.content {
    min-height: 100%;
}
.debugBox {
    position: fixed;
    bottom: 0;
    height: 200px;
    width: 100%;
    background-color: orange;
    color: white;
}

h4 {
    color: #010631;
    font-family: 'Verdana', sans-serif;
    font-size: 3em;
    font-weight: normal;
    font-style: italic;
    line-height: 48px;
    margin: 0;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 10px;
}

.kundeinfo {
    font-size: medium;
    margin-bottom: 2em;
}

#errorBox {
    border: 1px solid;
    margin: 0 0;
    padding: 1em;
    padding-left: 3.25em;
    background-repeat: no-repeat;
    background-position: 0.5em;
    background-image: url('bilder/error.png');
    background-color: #f66;
    border-color: #922;
}

.leggeplantabell {
    width: 100%;
    border-collapse: collapse;
}

#leggeplanOgSpesifikasjon h1 {
    border-bottom: 2px dotted;
    margin-bottom: 1ex;
}

#leggeplanOgSpesifikasjon {
    padding: 20px;
    margin: 20px;
}

.leggeplantabell thead {
    text-align: left;
    border-bottom: 1px solid;
}

.leggeplantabell .pdf_only {
    visibility: hidden;
    display: none;
}

#navigation-toolbar .menu-line li.done a {
}

#navigation-toolbar .menu-line li.done {
    padding-right: 16px;
    background: url('bilder/done-menu-item-separator.png') center right
        no-repeat;
}

#navigation-toolbar .menu-line li.done:hover {
    background: url('bilder/done-menu-item-separator-hover.png') center right
        no-repeat;
}

.tb_error {
    text-align: center;
    font-size: large;
}

.tb_sketch {
    text-align: center;
}

.tb_colors {
    width: 815px;
    border-collapse: collapse;
}

.tb_colors tr:first-child td,
.tb_colors tr:first-child th {
    border-top: none;
}

.tb_colors td,
.tb_colors th {
    border-top: 1px solid black;
    border-spacing: 0;
    padding-bottom: 1em;
}

.tb_colors .tb_colors_category {
    width: 180px;
    vertical-align: middle;
    text-align: center;
    border-right: 2px dashed black;
    font-size: x-large;
}

.tb_colors .tb_colors_colors {
    padding-left: 2em;
}

a.variation {
    color: #000;
    display: block;
    float: left;
    width: 100px;
    text-align: center;
    margin-top: 15px;
    height: 90px;
    font-size: 11px;
}

.tb_dcenter_wrapper {
    position: relative;
    overflow: hidden;
}

.tb_dcenter_aligner {
    float: left;
    position: relative;
    left: 50%;
    padding-top: 10px;
}

.tb_dcenter_contents {
    float: left;
    position: relative;
    left: -50%;
}

.type-billboard-children {
    max-width: 815px;
}

.sheet-billboard-children {
    max-width: 656px;
}

.type-billboard-children .billboard-child,
.sheet-billboard-children .billboard-child {
    float: left;
    width: 163px;
    text-align: center;
}

.type-billboard-children .billboard-child p,
.sheet-billboard-children .billboard-child p {
    margin: 0 0 1em 0;
}

.tb_measures {
    margin-left: 5%;
}

.tb_measures .tb_measure_sketch,
.tb_measures .tb_measure_inputlist {
    float: left;
}

.tb_measures .tb_measure_inputlist {
    width: 300px;
}

.tb_measure_address label {
    width: 5em;
    float: left;
}

.tb_measures .tb_measure_form {
    padding: 0.5em;
    padding-top: 2em;
}

.tb_measures .tb_measure_form h2 {
    border-bottom: 1px dashed black;
    margin-bottom: 0.75em;
}

.tb_measures .tb_measure_inputlist label {
    margin-right: 1em;
}

.tb_measures .tb_measure_inputlist div input {
    min-width: 6em;
    /* margin-bottom: 0.5em; */
}

.tb_measures .tb_measure_address {
    clear: left;
    max-width: 800px;
}

.tb_measures .tb_measure_address h2 {
    border-bottom: 1px dashed black;
    margin-bottom: 0.75em;
}

.tb_measures .tb_measure_address input {
    width: 20em;
    margin-bottom: 0.5em;
}

.tb_measures .tb_measure_form div input[type='submit'] {
    width: 100%;
}

.tb_measures .tb_measure_sketch img {
    width: 500px;
}

.do-print {
    display: none;
}

.leggeplan-print {
    display: block;
}

/*
 * Alt herfra og ned er lånt frå hovedsiden til Alsvåg for å få likt utseende.
 */
a {
    text-decoration: none;
}

a img {
    border: none;
}

.clear {
    clear: both;
}

.spamfilter {
    display: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: normal;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
}

ul,
li {
    margin: 0;
    padding: 0;
    list-style: none;
}

body {
    /* background: url("bilder/body-bg.jpg") top center no-repeat; */
    font-family: Arial;
    font-size: 1em;
    margin: 0;
    text-align: center;
}

#main-top {
    background: #fff;
    height: 5px;
}

#page-margins {
    font-size: 12px;
    width: 960px;
    margin: 0 auto;
    text-align: left;
}

#top-toolbar {
    height: 57px;
    float: left;
    width: 100%;
    overflow: hidden;
}

#navigation-toolbar {
    clear: left;
    background: #2d427a;
    height: 49px;
}

#navigation-toolbar .menu-line a {
    display: block;
    float: left;
    line-height: 49px;
    padding: 0 8px;
    color: #fff;
    font-size: 16px;
    font-weight: bold;
}

#navigation-toolbar .menu-line ul {
    float: left;
    width: 100%;
}

#navigation-toolbar .menu-line li {
    display: block;
    float: left;
}

#navigation-toolbar .menu-line li.first {
    border-right: 4px solid #fff;
}

#navigation-toolbar .menu-line li.active a {
    color: #f2c341;
}

#navigation-toolbar .menu-line a:hover,
#navigation-toolbar .menu-line li.done:hover a {
    background: url('bilder/top-menu-hover.png') left bottom repeat-x;
}

#navigation-toolbar .menu-line li.first a:hover,
#navigation-toolbar .menu-line li.first a {
    padding: 0;
    width: 153px;
    height: 49px;
    /* background: url("bilder/alsvag-logo.gif") center center no-repeat */
}

#navigation-toolbar .menu-line li.first a span {
    display: none;
}

a {
    color: #f0b927;
    outline: none;
}

.bgwhite {
    background-color: white !important;
    color: #004990;
}

.alcolor {
    color: #004990 !important;
}
.alcolorbg {
    background-color: #004990 !important;
}

.container-header {
    margin-left: 0px !important;
    padding-bottom: 16px;
}

.cat-header {
    position: absolute;
    font-weight: bold;
    left: 210px;
    font-size: large;
    color: black;
}
.catHeaderPlate {
    position: absolute;

    left: 330px;
    font-size: x-large;
    color: black;
}
.cat-subheader {
    position: absolute;
    top: 40px;
    left: 210px;

    color: black;
}

.categoryBox {
    position: relative;
    color: white;
}

.categoryBoxRoof {
    border-radius: 25px;
    background: #ffe6a0;
    padding: 10px;
    width: 100%;
    height: 140px;
    margin-bottom: 20px;
}

.categoryBoxRoof:hover {
    background: #ffe6a0;
}

.categoryBoxImage {
    position: absolute;
    top: -10px;
}

.categoryBoxRoofType {
    border-radius: 20px;
    background: #ffe6a0;
    padding: 10px;
    width: 100%;
    margin-bottom: 10px;
}

.roundimage {
    border-radius: 20px;
    border: 2px solid black;
    width: 280px;
}

.roundimageBanner {
    border-radius: 50%;
    border: 2px solid black;
    width: 100px;
    height: 100px;
    background-color: white;
}

.roundimageBannerText {
    color: white;
    width: 100%;
}

.btnSelectItem {
    position: absolute;
    bottom: 0;
    right: 0;
    margin-bottom: 10px;
    margin-right: 30px;
}

.btnSelectItemFront {
    position: absolute;
    bottom: 22px;
    right: 4px;
    margin-bottom: 10px;
    margin-right: 30px;
}

.bottompad {
    padding-bottom: 10px;
}

.maxWidthType {
    max-width: 320px !important;
}

.boxHeader {
    font-size: x-large;
    line-height: 32px;
    color: rgb(3, 2, 59);
    font-weight: bold;
}

.catSubPlate {
    color: black;
    line-height: 20px;
    font-style: italic;
    margin-bottom: 4px;
}

.btnAlsvaag {
    background-color: #004990 !important;
    border-color: white !important;
}
.btnAlsvaag:hover {
    background-color: #0074e9 !important;
    border-color: #004990 !important;
}

.roofProtectionIcon {
    border-radius: 5%;
    border: 1px solid black;
    position: absolute;
    top: 10px;
    max-width: 74px;
    max-height: 74px;
}

.spHeader {
    position: absolute;
    left: 120px;
    font-size: x-large;
    color: black;
}
.spSubHeader {
    position: absolute;
    top: 40px;
    left: 120px;
    color: black;
}

.padsome {
    padding-left: 40px !important;
    padding-right: 40px !important;
}

.paddington {
    padding: 30px !important;
}

.buttoncontainer {
    margin: 2px;
    text-align: center;
}

.bannertable {
    text-align: center;
}

.bannerbox {
    text-align: center;
    width: 100%;
}

@media print {
    .noPrint {
        display: none;
    }
}
